<h1>Planilla de Reservas</h1>

<% if notice %>
  <div class="alert alert-success">
    <button type="button" class="close" data-dismiss="alert">×</button>
    <p><%= notice %></p>
  </div>
<% end %>

<table cellpadding="0" cellspacing="0" border="1" class="grid" id="reservas" width="100%">
  <tr class="header">
    <th class="first"></th>
    <% Room.all.each do |room| %>
    <th class="room"><%= room.name %></th>
    <% end %>
  </tr>

  <% %w{11 12 13 14 15 16 17 18 19 20 21 22 23 00 01}.each do |time| %>
  <tr>
    <td><%= time %>:00</td>
    <% Room.all.each do |room| %>
    <td id="<%= time %>_00_<%= room.id %>"></td>
    <% end %>
  </tr>
  <tr>
    <td><%= time %>:30</td>
    <% Room.all.each do |room| %>
    <td id="<%= time %>_30_<%= room.id %>"></td>
    <% end %>
  </tr>
  <% end %>

</table>

<br />
<%= link_to 'Nueva Reserva', new_reservation_path, { class: 'btn btn-primary' } %>

<script type="text/javascript">
  
  // Objetos Reserva
  var reservas = 
  [
   { 
     'id_reserva': 1,
     // 'id_celda': '12_00_1',
     'hora_desde': '12',
     'min_desde': '00',
     'hora_hasta': '13',
     'min_hasta': '00',
     'sala': '1',
     'cant_celdas': 1,
     'clase': 'reserva fijo',
     'texto': 'Reserva 1',
     'musico': 'Señor músico',
   },
   { 
     'id_reserva': 2,
     // 'id_celda': '15_00_2',
     'hora_desde': '15',
     'min_desde': '00',
     'hora_hasta': '16',
     'min_hasta': '30',
     'sala': '2',
     'cant_celdas': 3,
     'clase': 'reserva noFijo',
     'texto': 'Reserva 2',
     'musico': 'Señor músico',
     'banda': 'La banda',
   },
   { 
     'id_reserva': 3,
     // 'id_celda': '12_00_3',
     'hora_desde': '12',
     'min_desde': '00',
     'hora_hasta': '16',
     'min_hasta': '00',
     'sala': '3',
     'cant_celdas': 8,
     'clase': 'reserva fijo',
     'texto': 'Reserva 3',
     'musico': 'Señor músico',
     'banda': 'La banda',
   },
   { 
     'id_reserva': 4,
     // 'id_celda': '17_00_1',
     'hora_desde': '17',
     'min_desde': '00',
     'hora_hasta': '21',
     'min_hasta': '00',
     'sala': '1',
     'cant_celdas': 10,
     'clase': 'reserva fijo',
     'texto': 'Reserva 4',
     'musico': 'Señor músico',
     'banda': 'La banda',
   },
   { 
     'id_reserva': 5,
     // 'id_celda': '13_00_1',
     'hora_desde': '13',
     'min_desde': '00',
     'hora_hasta': '15',
     'min_hasta': '00',
     'sala': '1',
     'cant_celdas': 3,
     'clase': 'reserva noFijo',
     'texto': 'Reserva 5',
     'musico': 'Señor músico',
   },
   { 
     'id_reserva': 6,
     // 'id_celda': '13_00_1',
     'hora_desde': '19',
     'min_desde': '30',
     'hora_hasta': '20',
     'min_hasta': '00',
     'sala': '2',
     'cant_celdas': 1,
     'clase': 'reserva noFijo',
     'texto': 'Reserva 5',
     'musico': 'Señor músico',
     'banda': 'La banda'
   }
  ];


  $(function() {

    jQuery.each(reservas, function() {

      var id_celda = this.hora_desde+'_'+this.min_desde+'_'+this.sala;
      var padre = $('#'+id_celda);

      $('<div/>',{
          // text: this.texto,
          'id' : this.id_reserva,
          'class': this.clase,
          'css' : {
            'height': (padre.outerHeight())* this.cant_celdas - 1,
            'width': padre.innerWidth() - 6, // 1 + padding left
            'position': 'absolute'
          },
      }).appendTo(padre);

      var div_reserva = $('#'+this.id_reserva);

      var texto_div_reserva;
      if ( this.cant_celdas == 1 ){
        texto_div_reserva = '<span>[' + this.hora_desde + ':' + this.min_desde + ']</span>' + ' - ' +
                            '<span>' + this.musico +( this.banda ? ' - '+this.banda : '' )+ '</span>';
      }else{
        texto_div_reserva = '<span>[' + this.hora_desde + ':' + this.min_desde + ' - ' + this.hora_hasta + ':' + this.min_hasta+ ']</span>' + '<br />' + 
                            '<span>' + this.musico +( this.banda ? ' - '+this.banda : '' )+ '</span>';
      }

      div_reserva.append( texto_div_reserva );

    });

    $(".reserva").click(function(){
          var url = "/reservations/"+this.id;
          $(location).attr('href',url);
      });

  });


</script>